The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Релиз PHP 5.2.7 с исправлением 9 уязвимостей. Третья альфа в..."
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Разговоры, обсуждение новостей (Public)
Изначальное сообщение [ Отслеживать ]

"Релиз PHP 5.2.7 с исправлением 9 уязвимостей. Третья альфа в..."  
Сообщение от opennews (??) on 06-Дек-08, 10:23 
Анонсирован выход релиза PHP 5.2.7 (http://www.php.net/releases/5_2_7.php) в котором исправлено более 170 ошибок, в том числе 9 проблем безопасности:


-  Библиотека PCRE обновлена до версии 7.8, в более ранних версиях присутствует уязвимость (http://secunia.com/advisories/30916/), позволяющая организовать злоумышленником выполнение кода в момент преобразования регулярного выражения в байткод через вызов функции pcre_compile;
-  Проблема безопасности, связанная с отсутствием инициализации  BG(page_uid) и BG(page_gid);
-  Проблема безопасности, связанная с некорректным порядком обработки php_value в конфигации Apache;
-  Вызов краха процесса через передачу в функцию imageloadfont() библиотеки gd, некорректного файла шрифтов;
-  Переполнение буфера в реализации функции memnstr();
-  Уязвимость (http://www.securityfocus.com/bid/29797), позволяющая обойти ограничение safe_mode (проверить права доступа к файлу) через передачу некорректных параметров в функцию posix_access (CVE-2008-2...

URL: http://www.php.net/releases/5_2_7.php
Новость: https://www.opennet.ru/opennews/art.shtml?num=19246

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Релиз PHP 5.2.7 с исправлением 9 уязвимостей. Третья альфа в..."  
Сообщение от Аноним (??) on 06-Дек-08, 10:23 
"?:" - давно уж есть...
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "Релиз PHP 5.2.7 с исправлением 9 уязвимостей. Третья альфа в..."  
Сообщение от mephius email(??) on 06-Дек-08, 11:08 
>"?:" - давно уж есть...

Иммется в виду, что если написать echo $a?:$b, то если $a тринслируется в логическое true, то выведется значение $a, иначе — $b. Сейчас для такого поведения нужно писать $a?$a:$b

Только не совсем понятно, буцдет ли notice, если $a не определено вообще.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "Релиз PHP 5.2.7 с исправлением 9 уязвимостей. Третья альфа в..."  
Сообщение от fix (??) on 06-Дек-08, 13:01 
блин, все эти неявные заморочки совершенно не нужны. если кому-то лень набрать пару символов, пусть юзает нормальный редактор с автокомплитом и шаблонами.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "Релиз PHP 5.2.7 с исправлением 9 уязвимостей. Третья альфа в..."  
Сообщение от Keeper email(??) on 06-Дек-08, 16:51 
Это может быть важно для случая, когда вместо $f используется результат функции:

$x = some_func() ?: $default_val;

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

5. "Релиз PHP 5.2.7 с исправлением 9 уязвимостей. Третья альфа в..."  
Сообщение от Аноним (??) on 06-Дек-08, 17:53 
GOTO то нафиг?
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

8. "Релиз PHP 5.2.7 с исправлением 9 уязвимостей. Третья альфа в..."  
Сообщение от Аноним (??) on 07-Дек-08, 18:39 
НЕ могу установить этот релиз на апач 2.2
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

9. "Релиз PHP 5.2.7 с исправлением 9 уязвимостей. Третья альфа в..."  
Сообщение от anonymous (??) on 08-Дек-08, 12:34 
>НЕ могу установить этот релиз на апач 2.2

Nu i horosho chto ne mozhesh.
Razrabotchiki uzhe otkatilis' nazad na 5.2.6

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

10. "Релиз PHP 5.2.7 с исправлением 9 уязвимостей. Третья альфа в..."  
Сообщение от xeon email(??) on 08-Дек-08, 12:38 
PHP 5.2.7 has been removed from distribution
[07-Dec-2008]

Due to a security bug found in the PHP 5.2.7 release, it has been removed from distribution. The bug affects configurations where magic_quotes_gpc is enabled, because it remains off even when set to on. In the meantime, use PHP 5.2.6 until PHP 5.2.8 is later released.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру